Link to home
Start Free TrialLog in
Avatar of ptreves
ptreves

asked on

FRM-92050 after applying PatchSet 3 for Oracle 9i iDS

Hello,

I have installed Oracle 9i iDS (9.0.2.0.1) + PatchSet 3 (Patch # 3129219). (Windows XP Pro)
When I try to run a WebForm even the simplest one test.fmb, I get the error:

FRM-92050: Failed to connect to the server /forms90/l90servlet: -1


1) How can I resolve this issue ?

THe Patchset should solve problems not create them

PT

PS: Also thinking about applyinh patchset 2516165
Avatar of pettmans
pettmans
Flag of Australia image

Have you applied any/all prerequisite patches? One that I am aware of is patch 3038037.

Have you confirmed that all required services are running? Eg:
- is the forms server process running
- is the database instance up - can you connect to it via SQLPlus.

Regards,
Scott Pettman
Also, check metalink note 189867.1 for lots of handy forms trouble shooting tips.

Scott
Avatar of ptreves
ptreves

ASKER

Hello,

I was not aware that there were prerequisite Patches for PatchSet 3 (3038037).
I know there are PatchSet 1 (2705870) and PatchSet 2 (2842923), but PatchSet 3 (3129219) contains all the corrections and more, so there is no need to apply PatchSet 1 and 2, PatchSet 3 is enough.

As for other prerequisite I am not aware of them.

My database instance and listener are up because I am asked to login to them before doing the Run Form command. I also started an instance of OC4J and a Report Server (rwserver server=RepSRV).

I did not find the smoking gun yet !!!

1) Suggestions ??

PT

PS: The metalink note 198967.1, mentions to clear the Browser Cache / Java Console Cache and to edit/check settings in the orion-web.xml, formsweb.cfg files among others.
When you download a patch you should always check the readme file for prequisite patches.

In the readme for patch 3129219 are a couple of pre-requisite/preinstallation actions:

1. Oracle Universal Installer (OUI) version 2.2.0.18.0 is included in this patch set release. If you have an OUI version that is less than 2.2.0.18.0 installed in your machine, you have to upgrade to OUI 2.2.0.18.0 before installing the 9.0.2.3.0 PatchSet.

2.
a. Before applying the patch for Oracle9i Forms and Oracle9i Reports Patch on top of Oracle9iAS Solaris, you need to  
make sure that you have installed the Oracle9iAS Bundled PatchSet 9.0.2.3.0 for Solaris. (Metalink No : 3038037, ARU No : 4512687)

b. Before applying the patch for Oracle9i Forms and Oracle9i Reports Patch on top of Oracle9iAS Windows, you need  
make sure that you have installed the Oracle9iAS Bundled PatchSet 9.0.2.3.0 for Windows. (Metalink No : 3038037, ARU No : 4715336)

Similarly the referenced pre-requisite patch 3038037 also has prerequisites of its own that are listed in the README for that patch.

So you have some checking to do.

Regards,
Scott





Avatar of ptreves

ASKER

Hello,

I heard that Oracle was suppose to come up with PatchSet 4 ealier this year in January.
1) Any word on that ? Patch number ?

PT
Avatar of ptreves

ASKER

Hello,

2) What if I don't respect the installation order of Patches, does it realy matter ?
3) Does it mean that I have to completely uninstall Oracle 9i iDS and start over from scratch the reinstallation of iDS and associated Patches ?

PT
1. I found a not in metalink about patchset 4 for 9iDS:

Doc ID:  Note:275351.1
Subject:  Forms / Reports 9i (9.0.2) Patchset 4 Will Not Be Released

Description: Forms / Reports 9i (9.0.2) Patchset 4 will not be released. The patchset has  been cancelled due to problems with incorporating RSFs (Required Support Files)  version 9.0.1.5.  

There's a little more detail in the note. Suggest you visit metalink to see more.

2 & 3. Yes it matters when there are prerequisites listed. If you don't respect the required installation order things may break. For example a patch applied later than it should be may undo some of the changes in a patch previously applied.
Sometimes a patch will not install correctly if the prereq hasn't been applied. You shouldn't need to reinstall but you may need to reapply patches.

If it were me I would be checking if it were viable to restore from the backup I will have taken prior to commencing patching.

Regards,
Scott Pettman
Avatar of ptreves

ASKER

Hello Scott,

Searching through Metalink, I reinstalled Oracle 9i iDS (9.0.2.0.1) completely on my Windows XP Pro (SP2) computer + I applied PatchSet1 (2729569).  In addition, searching through metalink Report forum, I came accross a Report Hot Fix (not exactly a Patch), number 2516165.

Together with the Reinstallating, The PatchSet and the Report Hot Fix, I can now run 11 out of 14 of my WebReports.

1) Are you aware of any other Report Hot Fixes that could be out there ?

Regards,

PT
ASKER CERTIFIED SOLUTION
Avatar of pettmans
pettmans
Flag of Australia image

Link to home
membership
This solution is only available to members.
To access this solution, you must be a member of Experts Exchange.
Start Free Trial
Avatar of ptreves

ASKER

Hello,

The PatchSet 1 (2729569) is specifically for Oracle 9i iDS.
The other 3 PatcheSets are for Oracle 9i iDS / iAS. This is my understanding of things.
I addition I applied a Reports Hot Fix (2516165).

Out of 14 reports, I can run 11 of them. The 3 remaining reports, 1 fails for the following error messages:

The report name is 'Signature Request':
 
FRM-40735: WHEN-BUTTON-PRESSED trigger raised unhandled exception ORA-06502
 
FRM-41214: Unable to run report
FRM-41217: Unable to get report job status
=====
The other 2 reports (Borderau, Submission Letter):
 
REP-110: Unable to open file
REP-1070: Error while opening or saving document
REP-0110: Unable to open file


PT


PS: I was looking for any other Reports Hox Fixes that might exists.